org.cpsolver.exam

## Class MistaTables

- java.lang.Object
- - org.cpsolver.exam.MistaTables

-     public class MistaTables
      extends Object

  A simple program that prints a few statistics about the given examination problem in the format of the MISTA 2013 paper (entitled Real-life Examination Timetabling). It outputs data for the Table 1 (characteristics of the data sets) and Table 2 (number of rooms and exams of a certain size).
  Usage:

      java -cp cpsolver-all-1.2.jar org.cpsolver.exam.MistaTables problem1.xml problem2.xml ...

  Version:
    ExamTT 1.3 (Examination Timetabling)
    Copyright (C) 2008 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MistaTables.Counter`
    `static class` | `MistaTables.Problems`
    `static class` | `MistaTables.Rooms`
    `static class` | `MistaTables.Table`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MistaTables()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MistaTables

          public MistaTables()

  - ### Method Detail

    - #### main

          public static void main(String[] args)